% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%
% Video mode selection dialog.
%
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Some global vars.
%
/vga.default 0 def

/vga.options [
  ""
  "layout=vesa"
  "layout=vga"
] def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Build vga list.
%
% ( ) ==> ( )
%
/vga.init {
  /xmenu.vga .xm_size array def

  /xmenu xmenu.vga def

  xmenu .xm_current vga.default put
  xmenu .xm_list [ "normal" "vesa" "vga" ] put

  pmenu.init
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Update vga mode.
%
% ( ) ==> ( )
%
/vga.update {
  /xmenu xmenu.vga def

  /window.action actRedrawPanel def

  pmenu.update
  bootoptions.init
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Show vga menu.
%
% ( ) => ( )
%
/panel.vga {
  "o_layout" help.setcontext

  window.xmenu
  dup .xmenu xmenu.vga put
  dup .xmenu.update /vga.update put
  dup window.init
      window.show
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Return width of panel entry.
%
% ( ) => ( width )
%
/panel.vga.width {
  /xmenu xmenu.vga def

  pmenu.width
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Redraw panel entry.
%
% ( panel ) => ( )
%
/panel.vga.update {
  /xmenu xmenu.vga def

  pmenu.panel.update
} def


